I’m relatively new to dynamo and was wondering if there is either python code or a node that will do the following:
I’m trying to join two geometry form elements (obj 1 and obj 2) in a revit family. The geometry was created from the form by loft cross sections revit node and I have tried using clockwork nodes and python coding with no success. I am currently using the JoinGeometryUtils.JoinGeometry in the python coding, but this only works in the project environment.
Does anyone know which function is used in the revit API to join objects in a family environment? And what the code would look like in python?
Please check this script for converting model in place family to actual revit family inside revit project. I tried also this to actual family and convert the that family into 1 free form solid.
Thank you for the quick repsonse and I think it will work. However I have worked with the springs.FamilyInstanceByGeometry in the past and if I understand it correctly it creates a .sat file and loads the .sat file into a family file to create solid geometry. This will not work for me as the created object has zero volume in revit and not intelligent.
The form by loft sections that i have created are tied to adaptive sections with parameters and i would like to be able to change the parameters on the fly and not export it to a .sat file everytime i want to change one of the parameters.
Is there no way to access this button in the family editor via the revit api in python?
Found the function in revit API. Is as follows:
public Autodesk.Revit.DB.GeomCombination CombineElements(Autodesk.Revit.DB.CombinableElementArray members)
Member of Autodesk.Revit.DB.Document